## ros-indigo-rail-grasp-collection 1.1.9

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(rail_grasp_collection)

## Find catkin macros and libraries
## if COMPONENTS list like find_package(catkin REQUIRED COMPONENTS xyz)
## is used, also find other catkin packages
find_package(catkin REQUIRED COMPONENTS
  actionlib
  geometry_msgs
  graspdb
  rail_manipulation_msgs
  rail_pick_and_place_msgs
  roscpp
  sensor_msgs
  tf2_ros
  tf2_sensor_msgs
)
find_package(Boost REQUIRED COMPONENTS thread)

###################################################
## Declare things to be passed to other projects ##
###################################################

## LIBRARIES: libraries you create in this project that dependent projects also need
## CATKIN_DEPENDS: catkin_packages dependent projects also need
## DEPENDS: system dependencies of this project that dependent projects also need
catkin_package()

###########
## Build ##
###########

## Specify additional locations of header files
include_directories(include
  ${boost_INCLUDE_DIRS}
  ${catkin_INCLUDE_DIRS}
)

## Declare a cpp executable
add_executable(rail_grasp_collection
  nodes/rail_grasp_collection.cpp
  src/GraspCollector.cpp
)
add_executable(rail_grasp_retriever
  nodes/rail_grasp_retriever.cpp
  src/GraspRetriever.cpp
)

## Add message build dependencies (needed for source build)
add_dependencies(rail_grasp_collection
  rail_pick_and_place_msgs_gencpp
)
add_dependencies(rail_grasp_retriever
  rail_pick_and_place_msgs_gencpp
)

## Specify libraries to link a library or executable target against
target_link_libraries(rail_grasp_collection
  ${boost_LIBRARIES}
  ${catkin_LIBRARIES}
)
target_link_libraries(rail_grasp_retriever
  ${boost_LIBRARIES}
  ${catkin_LIBRARIES}
)

#############
## Install ##
#############

## Mark executables and/or libraries for installation
install(TARGETS rail_grasp_collection rail_grasp_retriever
  RUNTIME DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
)

## Copy launch files
install(DIRECTORY launch/
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}/launch
  FILES_MATCHING PATTERN "*.launch"
)

=== debian/changelog ===
ros-indigo-rail-grasp-collection (1.1.9-0trusty) trusty; urgency=high

  * Update package.xml
  * Contributors: David Kent

 -- Russell Toris <rctoris@wpi.edu>  Tue, 23 Feb 2016 05:00:00 -0000

ros-indigo-rail-grasp-collection (1.1.8-0trusty) trusty; urgency=high



 -- Russell Toris <rctoris@wpi.edu>  Tue, 18 Aug 2015 04:00:00 -0000

ros-indigo-rail-grasp-collection (1.1.7-0trusty) trusty; urgency=high



 -- Russell Toris <rctoris@wpi.edu>  Fri, 08 May 2015 04:00:00 -0000

ros-indigo-rail-grasp-collection (1.1.6-0trusty) trusty; urgency=high



 -- Russell Toris <rctoris@wpi.edu>  Tue, 05 May 2015 04:00:00 -0000

ros-indigo-rail-grasp-collection (1.1.5-0trusty) trusty; urgency=high



 -- Russell Toris <rctoris@wpi.edu>  Wed, 29 Apr 2015 04:00:00 -0000

ros-indigo-rail-grasp-collection (1.1.4-0trusty) trusty; urgency=high

  * changelog updated
  * added segmented images to the database
  * Contributors: Russell Toris

 -- Russell Toris <rctoris@wpi.edu>  Mon, 27 Apr 2015 04:00:00 -0000

ros-indigo-rail-grasp-collection (1.1.3-0trusty) trusty; urgency=high

  * added segmented images to the database
  * Contributors: Russell Toris

 -- Russell Toris <rctoris@wpi.edu>  Tue, 14 Apr 2015 04:00:00 -0000

ros-indigo-rail-grasp-collection (1.1.2-0trusty) trusty; urgency=high

  * graph search used
  * Contributors: Russell Toris

 -- Russell Toris <rctoris@wpi.edu>  Fri, 10 Apr 2015 04:00:00 -0000

ros-indigo-rail-grasp-collection (1.1.1-0trusty) trusty; urgency=high



 -- Russell Toris <rctoris@wpi.edu>  Mon, 06 Apr 2015 04:00:00 -0000

ros-indigo-rail-grasp-collection (1.1.0-0trusty) trusty; urgency=high

  * new launch files
  * header cleanup
  * moved to ptr based storage
  * begin refactor of metrics
  * Contributors: Russell Toris

 -- Russell Toris <rctoris@wpi.edu>  Fri, 03 Apr 2015 04:00:00 -0000

ros-indigo-rail-grasp-collection (1.0.4-0trusty) trusty; urgency=high



 -- Russell Toris <rctoris@wpi.edu>  Tue, 31 Mar 2015 04:00:00 -0000

ros-indigo-rail-grasp-collection (1.0.3-0trusty) trusty; urgency=high

  * debug is now latched
  * starting to cleanup model generator
  * Contributors: Russell Toris

 -- Russell Toris <rctoris@wpi.edu>  Tue, 31 Mar 2015 04:00:00 -0000

ros-indigo-rail-grasp-collection (1.0.2-0trusty) trusty; urgency=high



 -- Russell Toris <rctoris@wpi.edu>  Mon, 30 Mar 2015 04:00:00 -0000

ros-indigo-rail-grasp-collection (1.0.1-0trusty) trusty; urgency=high



 -- Russell Toris <rctoris@wpi.edu>  Fri, 27 Mar 2015 04:00:00 -0000

ros-indigo-rail-grasp-collection (1.0.0-0trusty) trusty; urgency=high

  * minor cleanup
  * small fix
  * Updated rail recognition to use the database, fixed a point cloud transform bug in grasp collection
  * Switched registration to use the graspdb, fixed point cloud selection in grasp collector
  * minor bug fixes
  * include cleanup
  * fixed default link
  * global database params
  * load functions for grasp models
  * add grasp added
  * ID returned from add
  * major refactor
  * virtual added to destructor
  * model added
  * Moved rviz panels to rail_pick_and_place_tools, added an rviz panel for grasp collection
  * typo
  * adds back private node handle
  * removes unused members
  * bug fixes after initial testing
  * small edits
  * small edits
  * merge conflict
  * allow for copy of client
  * get array of objects based on object name
  * extract from database added for demonstrations
  * Updated to reflect moving some messages from rail_segmentation to rail_manipulation_messages
  * added node to load and publish grasps
  * Updated to use the new rail_manipulation_msgs
  * travis fix
  * missing dep
  * minor edits
  * added param for segmented object topic
  * launch file added
  * added mutex for list
  * more comments
  * first pass of new collector
  * consty const const const
  * insert grasp added
  * graspdb started (creates tables)
  * all but storing in the SQL database redone for grasp collection
  * Contributors: David Kent, Russell Toris

 -- Russell Toris <rctoris@wpi.edu>  Fri, 27 Mar 2015 04:00:00 -0000

ros-indigo-rail-grasp-collection (0.0.2-0trusty) trusty; urgency=high

  * catkin cleanup
  * Updated metapackage
  * Grasp collection, model building, basic recognition and grasping
  * Contributors: David Kent, Russell Toris

 -- David Kent <davidkent@wpi.edu>  Wed, 18 Feb 2015 05:00:00 -0000

ros-indigo-rail-grasp-collection (0.0.1-0trusty) trusty; urgency=high



 -- David Kent <davidkent@wpi.edu>  Wed, 22 Oct 2014 04:00:00 -0000

=== debian/control ===
Source: ros-indigo-rail-grasp-collection
Section: misc
Priority: extra
Maintainer: Russell Toris <rctoris@wpi.edu>
Build-Depends: debhelper (>= 9.0.0), libboost-all-dev, ros-indigo-actionlib, ros-indigo-catkin, ros-indigo-geometry-msgs, ros-indigo-graspdb, ros-indigo-rail-manipulation-msgs, ros-indigo-rail-pick-and-place-msgs, ros-indigo-roscpp, ros-indigo-sensor-msgs, ros-indigo-tf2-ros, ros-indigo-tf2-sensor-msgs
Homepage: http://ros.org/wiki/rail_grasp_collection
Standards-Version: 3.9.2

Package: ros-indigo-rail-grasp-collection
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libboost-all-dev, ros-indigo-actionlib, ros-indigo-geometry-msgs, ros-indigo-graspdb, ros-indigo-rail-manipulation-msgs, ros-indigo-rail-pick-and-place-msgs, ros-indigo-roscpp, ros-indigo-sensor-msgs, ros-indigo-tf2-ros, ros-indigo-tf2-sensor-msgs
Description: Grasp Collection for Constructing a Grasping and Recognition Database

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
export DH_OPTIONS=-v --buildsystem=cmake
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/indigo/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh  $@

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/indigo" \
		-DCMAKE_PREFIX_PATH="/opt/ros/indigo"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-indigo-rail-grasp-collection//opt/ros/indigo/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_install
